//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of the Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function subdemolist = demo_gateway()

    demopath = get_absolute_file_path("robotics_toolbox.dem.gateway.sce");
    subdemolist = ["Rotation",              "rotation.dem.sce";..
                   "Translation",           "trans.dem.sce";..
                   "Create a robot",        "robot.dem.sce";..
                   "Robot graphics",        "graphics.dem.sce";..
                   "Trajectory generation", "traj.dem.sce";..
                   "Forward kinematics",    "fkine.dem.sce";..
                   "Inverse kinematics",    "ikine.dem.sce";..
                   "Forward dynamics",      "fdyn.dem.sce";..
                   "Inverse dynamics",      "idyn.dem.sce";..
//                   XCOS
                   "P560 vs. gravity",      "sl_ztorque.dem.sce";..
                   "Robot trace XY trajectory","sl_jspace.dem.sce";..
                   "Inverse Dynamics Control","sl_ctorque.dem.sce";..
                   "Twolink flex",           "sl_flex.dem.sce"];

    subdemolist(:,2) = demopath + subdemolist(:,2);
endfunction

subdemolist = demo_gateway();
clear demo_gateway; // remove demo_gateway on stack
