7//  Copyright (C) 2014-20 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function block = ikine_cf(block, flag)

    if flag == 1 then

        robot = SerialLink(block.opar(1));
        [robot.base, robot.tool, robot.offset, robot.mdh] = block.opar(2:5);
        q0 = block.rpar(:);
        if block.opar(6) == "no" then
            myopt = "";
        else
            myopt = ",''pinv''";
        end
        if ~isempty(block.opar(7)) then
           myopt = strcat([myopt, block.opar(7)],',');
        end

        if myopt == "" then
            block.outptr(1) = ikine(robot, block.inptr(1),q0);
        else
            execstr("block.outptr(1) = ikine(robot, block.inptr(1),q0"+myopt+")");
        end

    end

endfunction
