//  Copyright (C) 2014-20 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function block = jtraj_cf(block, flag)

    if flag == 1 then

        n = block.ipar;
        rpar = matrix(block.rpar, -1, 3*n+1)
        q = rpar(:, 1:n);
        qd = rpar(:, n+1:2*n);
        qdd = rpar(:, 2*n+1:3*n);
        m = size(q,1)
        t = rpar(:, $);
        u = scicos_time();
        if (u >  t) then
            block.outptr(1) = q(m,1:n)';
            block.outptr(2) = zeros(n,1);
            block.outptr(3) = zeros(n,1);
        else
            block.outptr(1) = interp1(t, q, u, "linear", "extrap").';
            block.outptr(2) = interp1(t, qd, u, "linear", "extrap").';
            block.outptr(3) = interp1(t, qdd, u, "linear", "extrap").';
        end
    end

endfunction
