//  Copyright (C) 2014-20 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.


function teach_callback_2(name)
    // graphical callback function
    // who is the caller?
    obj = findobj("Tag", name);   // because i'm here, it does exist surely
    fig = get(obj, "Parent");

    rh = rt_findtag(name);
    ud = rh(1).user_data;
    rr = ud(2);
    n = rr.n;
    q = [];

    gui_ud = evstr(get(obj, "Userdata"));
    scale = gui_ud(1:n);
    q_scale = gui_ud(n+1:2*n);
    rplot_id = gui_ud($);

    // get value from edits
    for j = 1:n,
        objedit_j = findobj("Tag", "Edit" + sci2exp(j));
        q(j) = evstr(get(objedit_j, "String")) / q_scale(j);
        objslider_j = findobj("Tag", "Slider" + sci2exp(j));
        set(objslider_j, "Value", scale(j)*q(j));
    end

    // update plot
    scf(rplot_id);
    plot_robot(rr, q.');
    //show_pixmap();

    t6 = fkine(rr, q);
    for i = 1:3,
        objxyza1 = findobj("Tag", "hxyzatext" + sci2exp(i) + "1");
        set(objxyza1, "String", sprintf('%.3f',t6(i,4)));
        objxyza2 = findobj("Tag", "hxyzatext" + sci2exp(i) + "2");
        set(objxyza2, "String", sprintf('%.3f',t6(i,3)));
    end

endfunction
