/*  Copyright (C) 2020 - Corrado Guarino Lo Bianco
*
*  This file is part of the Robotics Toolbox for Scilab.
*
*  Robotics Toolbox is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  Robotics Toolbox is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
*  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
*  by Peter Corke.
*/

#include <rpy2tr.h>
#include <scicos_block4.h>

void block_rpy2tr(scicos_block* block, scicos_flag flag)
{
    double* y;
    double* u1;
    double* u2;
    double* u3;

    if (flag == OutputUpdate)
    {
        // output
        y = (double *) block->outptr[0];

        // input are indexed in order
        u1 = (double *) block->inptr[0];
        u2 = (double *) block->inptr[1];
        u3 = (double *) block->inptr[2];

        // call business layer
        rpy2tr(u1, u2, u3, y);
    }
}

