/*  Copyright (C) 2020 - Corrado Guarino Lo Bianco
*
*  This file is part of the Robotics Toolbox for Scilab.
*
*  Robotics Toolbox is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  Robotics Toolbox is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
*  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
*  by Peter Corke.
*/

#include <t2rpy.h>
#include <scicos_block4.h>

void block_t2rpy(scicos_block* block, scicos_flag flag)
{
    double* y1;
    double* y2;
    double* y3;
    double* u;

    if (flag == OutputUpdate)
    {
        // input
        u = (double *) block->inptr[0];

        // output are indexed in order
        y1 = (double *) block->outptr[0];
        y2 = (double *) block->outptr[1];
        y3 = (double *) block->outptr[2];

        // call business layer
        t2rpy(u, y1, y2, y3);
    }
}

