/*  Copyright (C) 2020 - Corrado Guarino Lo Bianco
*
*  This file is part of the Robotics Toolbox for Scilab.
*
*  Robotics Toolbox is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  Robotics Toolbox is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
*  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
*  by Peter Corke.
*/

#include <math.h>                   /* sin, cos */

int rpy2tr(double *roll, double *pitch, double *yaw, double *t)
{

    double sr = sin(*roll), cr = cos(*roll),
           sp = sin(*pitch), cp = cos(*pitch),
           sy = sin(*yaw), cy = cos(*yaw);
           
    t[0] = cr*cp; t[4] = cr*sp*sy - sr*cy; t[8] = cr*sp*cy + sr*sy; t[12] = 0.0;
    t[1] = sr*cp; t[5] = sr*sp*sy + cr*cy; t[9] = sr*sp*cy - cr*sy; t[13] = 0.0;
    t[2] = -sp;   t[6] = cp*sy;            t[10] = cp*cy;           t[14] = 0.0;
    t[3] = 0.0;   t[7] = 0.0;              t[11] = 0.0;             t[15] = 1.0;
    
    return 0;
}

