/*  Copyright (C) 2020 - Corrado Guarino Lo Bianco
*
*  This file is part of the Robotics Toolbox for Scilab.
*
*  Robotics Toolbox is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  Robotics Toolbox is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
*  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
*  by Peter Corke.
*/

#include <math.h>                   /* sin, cos */

int zyz2tr(double *phi, double *theta, double *psi, double *t)
{

    double sf = sin(*phi), cf = cos(*phi),
           st = sin(*theta), ct = cos(*theta),
           sp = sin(*psi), cp = cos(*psi);
           
    t[0] = cf*ct*cp - sf*sp; t[4] = -cf*ct*sp - sf*cp; t[8] = cf*st;  t[12] = 0.0;
    t[1] = sf*ct*cp + cf*sp; t[5] = -sf*ct*sp + cf*cp; t[9] = sf*st;  t[13] = 0.0;
    t[2] = -st*cp;           t[6] = st*sp;             t[10] = ct;    t[14] = 0.0;
    t[3] = 0.0;              t[7] = 0.0;               t[11] = 0.0;   t[15] = 1.0;
    
    return 0;
}

